/*
 * CC1000 board specific definitions
 *
 * Copyright (c) 1999-2003 Wolfgang Denk (wd@denx.de)
 */

#ifndef __MACH_CC1000_H
#define __MACH_CC1000_H

#include <linux/config.h>

#include <asm/ppcboot.h>

#define CC1000_IMMR_BASE	0xFF000000	/* phys. addr of IMMR */
#define	CC1000_IMAP_SIZE	(64 * 1024)	/* size of mapped area */

#define	IMAP_ADDR	CC1000_IMMR_BASE	/* physical base address of IMMR area */
#define IMAP_SIZE	CC1000_IMAP_SIZE	/* mapped size of IMMR area */

#endif	/* __MACH_CC1000_H */
